Apply a confirmed buyer-agent configuration control
curl --request POST \
--url https://api.semicola.com/api/v2/buyer-agent-principals/{principalId}/controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "deactivate_destination",
"storefrontId": 123,
"destinationId": "<string>",
"generation": 123,
"expectedConfigurationVersion": "<string>",
"confirmationText": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer-agent-principals/{principalId}/controls"
payload = {
"kind": "deactivate_destination",
"storefrontId": 123,
"destinationId": "<string>",
"generation": 123,
"expectedConfigurationVersion": "<string>",
"confirmationText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'deactivate_destination',
storefrontId: 123,
destinationId: '<string>',
generation: 123,
expectedConfigurationVersion: '<string>',
confirmationText: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/buyer-agent-principals/{principalId}/controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"kind": "deactivate_destination",
"applied": true,
"principalId": "<string>",
"storefrontId": 123,
"configurationVersion": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Buyer Agent Principals
Apply a confirmed buyer-agent configuration control
POST
/
api
/
v2
/
buyer-agent-principals
/
{principalId}
/
controls
Apply a confirmed buyer-agent configuration control
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Minimum string length:
1Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Allowed value:
"deactivate_destination"Required range:
x <= 2147483647Pattern:
^[A-Za-z0-9_.:-]{1,64}$Required range:
x <= 9007199254740991Required string length:
1 - 255Required string length:
1 - 255